﻿Imports System.Collections.ObjectModel
Imports Telerik.Windows.Controls


Class Window1
    Private cars As New ObservableCollection(Of Car)
    Private cartypes As New ObservableCollection(Of CarType)

    Private Sub MainWindow_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        cartypes.Add(New CarType With {.CarTypeID = 1, .Type = "Ford"})
        cartypes.Add(New CarType With {.CarTypeID = 2, .Type = "Mercedes"})

        cars.Add(New Car With {.Owner = "You", .CarTypeID = 1})
        cars.Add(New Car With {.Owner = "Me", .CarTypeID = 2})
        GridView1.FieldDescriptors.Add(New GridViewDataColumn With {.Header = "Owner", .UniqueName = "Owner"})
        GridView1.FieldDescriptors.Add(New GridViewComboBoxColumn With {.Header = "Type", .UniqueName = "CarTypeID", .SelectedValueMemberPath = "CarTypeID", .DisplayMemberPath = "Type"})
        GridView1.ItemsSource = cars

    End Sub

    Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        GridView1.FieldDescriptors.Clear()
        GridView1.FieldDescriptors.Add(New GridViewDataColumn With {.Header = "Owner", .UniqueName = "Owner"})
        GridView1.FieldDescriptors.Add(New GridViewComboBoxColumn With {.Header = "Type", .UniqueName = "CarTypeID", .SelectedValueMemberPath = "CarTypeID", .DisplayMemberPath = "Type"})

        CType(GridView1.Columns(1), GridViewComboBoxColumn).ItemsSource = cartypes
    End Sub

    Public Class Car

        Private _Owner As String
        Public Property Owner() As String
            Get
                Return _Owner
            End Get
            Set(ByVal value As String)
                _Owner = value
            End Set
        End Property


        Private _CarTypeID As Integer
        Public Property CarTypeID() As Integer
            Get
                Return _CarTypeID
            End Get
            Set(ByVal value As Integer)
                _CarTypeID = value
            End Set
        End Property

    End Class

    Public Class CarType

        Private _CarTypeID As Integer
        Public Property CarTypeID() As Integer
            Get
                Return _CarTypeID
            End Get
            Set(ByVal value As Integer)
                _CarTypeID = value
            End Set
        End Property


        Private _Type As String
        Public Property Type() As String
            Get
                Return _Type
            End Get
            Set(ByVal value As String)
                _Type = value
            End Set
        End Property


    End Class
End Class
